Saltar al contenido principal
POST
/
v1
/
videos
/
generations
curl --request POST \
  --url https://api.apimart.ai/v1/videos/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "veo3.1-fast-official",
    "prompt": "a golden retriever running on the beach, sunset, cinematic",
    "duration": 8,
    "aspect_ratio": "16:9"
  }'
import requests

url = "https://api.apimart.ai/v1/videos/generations"

payload = {
    "model": "veo3.1-fast-official",
    "prompt": "a golden retriever running on the beach, sunset, cinematic",
    "duration": 8,
    "aspect_ratio": "16:9"
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";

const payload = {
  model: "veo3.1-fast-official",
  prompt: "a golden retriever running on the beach, sunset, cinematic",
  duration: 8,
  aspect_ratio: "16:9"
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.apimart.ai/v1/videos/generations"

    payload := map[string]interface{}{
        "model":        "veo3.1-fast-official",
        "prompt":       "a golden retriever running on the beach, sunset, cinematic",
        "duration":     8,
        "aspect_ratio": "16:9",
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://api.apimart.ai/v1/videos/generations";

        String payload = """
        {
          "model": "veo3.1-fast-official",
          "prompt": "a golden retriever running on the beach, sunset, cinematic",
          "duration": 8,
          "aspect_ratio": "16:9"
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
<?php

$url = "https://api.apimart.ai/v1/videos/generations";

$payload = [
    "model" => "veo3.1-fast-official",
    "prompt" => "a golden retriever running on the beach, sunset, cinematic",
    "duration" => 8,
    "aspect_ratio" => "16:9"
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
require 'net/http'
require 'json'
require 'uri'

url = URI("https://api.apimart.ai/v1/videos/generations")

payload = {
  model: "veo3.1-fast-official",
  prompt: "a golden retriever running on the beach, sunset, cinematic",
  duration: 8,
  aspect_ratio: "16:9"
}

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
import Foundation

let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!

let payload: [String: Any] = [
    "model": "veo3.1-fast-official",
    "prompt": "a golden retriever running on the beach, sunset, cinematic",
    "duration": 8,
    "aspect_ratio": "16:9"
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }

    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://api.apimart.ai/v1/videos/generations";

        var payload = @"{
            ""model"": ""veo3.1-fast-official"",
            ""prompt"": ""a golden retriever running on the beach, sunset, cinematic"",
            ""duration"": 8,
            ""aspect_ratio"": ""16:9""
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_xxxxxxxxxx"
    }
  ]
}
{
  "error": {
    "code": 400,
    "message": "Invalid request parameters",
    "type": "invalid_request_error"
  }
}
{
  "error": {
    "code": 401,
    "message": "Authentication failed, please check your API key",
    "type": "authentication_error"
  }
}
{
  "error": {
    "code": 402,
    "message": "Insufficient account balance, please recharge and try again",
    "type": "payment_required"
  }
}
{
  "error": {
    "code": 429,
    "message": "Too many requests, please try again later",
    "type": "rate_limit_error"
  }
}
{
  "error": {
    "code": 500,
    "message": "Internal server error, please try again later",
    "type": "server_error"
  }
}
curl --request POST \
  --url https://api.apimart.ai/v1/videos/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "veo3.1-fast-official",
    "prompt": "a golden retriever running on the beach, sunset, cinematic",
    "duration": 8,
    "aspect_ratio": "16:9"
  }'
import requests

url = "https://api.apimart.ai/v1/videos/generations"

payload = {
    "model": "veo3.1-fast-official",
    "prompt": "a golden retriever running on the beach, sunset, cinematic",
    "duration": 8,
    "aspect_ratio": "16:9"
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";

const payload = {
  model: "veo3.1-fast-official",
  prompt: "a golden retriever running on the beach, sunset, cinematic",
  duration: 8,
  aspect_ratio: "16:9"
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.apimart.ai/v1/videos/generations"

    payload := map[string]interface{}{
        "model":        "veo3.1-fast-official",
        "prompt":       "a golden retriever running on the beach, sunset, cinematic",
        "duration":     8,
        "aspect_ratio": "16:9",
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://api.apimart.ai/v1/videos/generations";

        String payload = """
        {
          "model": "veo3.1-fast-official",
          "prompt": "a golden retriever running on the beach, sunset, cinematic",
          "duration": 8,
          "aspect_ratio": "16:9"
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
<?php

$url = "https://api.apimart.ai/v1/videos/generations";

$payload = [
    "model" => "veo3.1-fast-official",
    "prompt" => "a golden retriever running on the beach, sunset, cinematic",
    "duration" => 8,
    "aspect_ratio" => "16:9"
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
require 'net/http'
require 'json'
require 'uri'

url = URI("https://api.apimart.ai/v1/videos/generations")

payload = {
  model: "veo3.1-fast-official",
  prompt: "a golden retriever running on the beach, sunset, cinematic",
  duration: 8,
  aspect_ratio: "16:9"
}

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
import Foundation

let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!

let payload: [String: Any] = [
    "model": "veo3.1-fast-official",
    "prompt": "a golden retriever running on the beach, sunset, cinematic",
    "duration": 8,
    "aspect_ratio": "16:9"
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }

    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://api.apimart.ai/v1/videos/generations";

        var payload = @"{
            ""model"": ""veo3.1-fast-official"",
            ""prompt"": ""a golden retriever running on the beach, sunset, cinematic"",
            ""duration"": 8,
            ""aspect_ratio"": ""16:9""
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_xxxxxxxxxx"
    }
  ]
}
{
  "error": {
    "code": 400,
    "message": "Invalid request parameters",
    "type": "invalid_request_error"
  }
}
{
  "error": {
    "code": 401,
    "message": "Authentication failed, please check your API key",
    "type": "authentication_error"
  }
}
{
  "error": {
    "code": 402,
    "message": "Insufficient account balance, please recharge and try again",
    "type": "payment_required"
  }
}
{
  "error": {
    "code": 429,
    "message": "Too many requests, please try again later",
    "type": "rate_limit_error"
  }
}
{
  "error": {
    "code": 500,
    "message": "Internal server error, please try again later",
    "type": "server_error"
  }
}

Autorización

Authorization
string
requerido
Todos los endpoints de la API requieren autenticación mediante Bearer TokenObtenga su API Key:Visite la página de gestión de API Keys para obtener su API KeyAñádala a la cabecera de la solicitud:
Authorization: Bearer YOUR_API_KEY

Parámetros de la solicitud

model
string
requerido
Nombre del modelo de generación de videoModelos disponibles:
  • veo3.1-fast-official - Veo 3.1 Oficial versión rápida
  • veo3.1-quality-official - Veo 3.1 Oficial versión de alta calidad
prompt
string
requerido
Prompt positivo en textoDescriba escenas, acciones, estilos, etc. en detalle para obtener mejores resultados. Se recomiendan prompts en inglés.Ejemplo: "a golden retriever running on the beach, sunset, cinematic"
negative_prompt
string
Prompt negativo para excluir contenido no deseadoEjemplo: "blurry, low quality, watermark, text"
duration
integer
predeterminado:"8"
Duración del video en segundosValores recomendados: 4 / 6 / 8Predeterminado: 8Nota: Debe ser un número puro (por ejemplo, 8), no añada comillas, de lo contrario se producirá un error
aspect_ratio
string
predeterminado:"16:9"
Proporción del videoValores disponibles:
  • 16:9 - Horizontal
  • 9:16 - Vertical
Predeterminado: 16:9
resolution
string
predeterminado:"720p"
Resolución del videoValores disponibles:
  • 720p - Resolución estándar
  • 1080p - Alta definición
  • 4K - Ultra alta definición
Predeterminado: 720p
first_frame_image
string
URL de la imagen del primer fotograma para generación imagen-a-video
  • La URL de la imagen debe ser accesible públicamente sin protección anti-hotlink
  • Se recomiendan URLs de almacenamiento de objetos en lugar de enlaces de descarga temporales
last_frame_image
string
URL de la imagen del último fotograma para generación imagen-a-videoSe usa junto con first_frame_image para controlar el primer y el último fotograma
seed
integer
Semilla aleatoria para reproducir los resultados de generaciónRango de valores: 0 - 4294967295
sample_count
integer
predeterminado:"1"
Número de muestras a generar (1-4); actualmente se recomienda usar 1Predeterminado: 1
generate_audio
boolean
predeterminado:"false"
Si se debe generar pista de audio
person_generation
string
predeterminado:"allow_adult"
Política de generación de personasValores disponibles:
  • allow_adult - Solo permite generar personas/rostros adultos
  • disallow - No permite generar personas o rostros
Predeterminado: allow_adult
resize_mode
string
predeterminado:"pad"
Estrategia de redimensionado de imagen (efectiva para imagen-a-video)Valores disponibles:
  • pad - Modo de relleno
  • crop - Modo de recorte
Predeterminado: pad
enhance_prompt
boolean
predeterminado:"true"
Si se habilita la mejora de prompt upstreamPredeterminado: true
  • Este parámetro solo puede establecerse en true. Establecerlo en false provocará un error en la solicitud
  • Si no necesita este parámetro, no lo incluya

Texto-a-video vs Imagen-a-video

El sistema determina automáticamente el modo según si se proporcionan parámetros de imagen: sin imágenes para texto-a-video, con imágenes para imagen-a-video.
ParámetroTexto-a-videoImagen-a-video
promptRequeridoRequerido
first_frame_imageNo se usaRequerido (al menos uno)
last_frame_imageNo se usaOpcional (último fotograma)
negative_promptOpcionalOpcional
durationOpcionalOpcional
aspect_ratioOpcionalOpcional
resolutionOpcionalOpcional
seedOpcionalOpcional
generate_audioOpcionalOpcional
person_generationOpcionalOpcional
resize_modeNo aplicableOpcional
enhance_promptOpcionalOpcional

Respuesta

code
integer
Código de estado de la respuesta, 200 en caso de éxito
data
array
Array de datos de la respuesta

Escenarios de uso

Escenario 1: Texto-a-video (básico)

{
  "model": "veo3.1-fast-official",
  "prompt": "a golden retriever running on the beach, sunset, cinematic"
}

Escenario 2: Texto-a-video (parámetros completos)

{
  "model": "veo3.1-quality-official",
  "prompt": "a cinematic close-up of a ragdoll cat slowly walking through a sunlit living room",
  "negative_prompt": "blurry, low quality, watermark, text",
  "duration": 8,
  "aspect_ratio": "16:9",
  "resolution": "1080p",
  "seed": 12345,
  "generate_audio": true,
  "person_generation": "disallow",
  "enhance_prompt": true
}

Escenario 3: Imagen-a-video (primer fotograma único)

{
  "model": "veo3.1-fast-official",
  "prompt": "the cat slowly walks forward and looks around",
  "first_frame_image": "https://example.com/cat.png",
  "duration": 8,
  "resolution": "720p"
}

Escenario 4: Imagen-a-video (primer fotograma + último fotograma)

{
  "model": "veo3.1-quality-official",
  "prompt": "smooth cinematic transition from the first frame to the last frame",
  "first_frame_image": "https://example.com/frame-start.png",
  "last_frame_image": "https://example.com/frame-end.png",
  "duration": 8,
  "resolution": "1080p"
}

Escenario 5: Video con audio

{
  "model": "veo3.1-quality-official",
  "prompt": "a busy coffee shop with people chatting and barista making latte art",
  "duration": 8,
  "generate_audio": true,
  "aspect_ratio": "16:9"
}
Consultar los resultados de la tareaLa generación de video es una tarea asíncrona que devuelve un task_id al enviarla. Use el endpoint Obtener estado de tarea para consultar el progreso y los resultados de la generación.